gnutls_pkcs12_import(3)

NAME
gnutls_pkcs12_import - This function will import a DER or PEM encoded PKCS12 structure

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_import(gnutls_pkcs12_t pkcs12, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    The structure to store the parsed PKCS12.

const gnutls_datum_t * data
    The DER or PEM encoded PKCS12.

gnutls_x509_crt_fmt_t format
    One of DER or PEM

unsigned int flags
    an ORed sequence of gnutls_privkey_pkcs8_flags

DESCRIPTION
This function will convert the given DER or PEM encoded PKCS12 to the native gnutls_pkcs12_t format. The output will be stored in 'pkcs12'. If the PKCS12 is PEM encoded it should have a header of "PKCS12".

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.